List payment methods

This API is used to list a customer's saved cards and bank accounts.

It returns the payment methods, default first, then newest. Use a payment method id to get, update or delete it, and as payment_method_id in the Transfer endpoints.

Note: Only methods saved in locations of your scope are listed. The card / account number, CVV and gateway token are never returned.

URL

{{interface_url}}/{{version}}/customers/{{customer_id}}/payment-methods

Method

GET

Headers

Authorization: Bearer {access_token} (or Api-Key)

Request Parameters

None.

URL Parameters

ParameterRequired/OptionalTypeDescription
customer_idRequiredIntegerOur customer ID (id returned by Create customer).
typeOptionalStringcard or ach. Default: both.
location_idOptionalIntegerOnly methods saved in this location.
corporate_category_idOptionalIntegerOnly methods of this sub corporate.

Example Request (cURL)

curl --location '{{interface_url}}/{{version}}/customers/{{customer_id}}/payment-methods' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{access_token}}'

Example Response (JSON) — 200

{
  "data": [
    {
      "id": 90311,
      "type": "card",
      "location_id": 279685,
      "holder": "Ana Garcia",
      "default": true,
      "created_at": "2026-11-05T18:16:18Z",
      "brand": "visa",
      "last4": "4242",
      "exp_month": 12,
      "exp_year": 28,
      "billing_address": {
        "line1": "100 Main St",
        "line2": null,
        "city": "Austin",
        "state": "TX",
        "zipcode": "78701",
        "country_iso": "US"
      }
    },
    {
      "id": 90312,
      "type": "ach",
      "location_id": 279685,
      "holder": "Ana Garcia",
      "default": false,
      "created_at": "2026-11-05T18:20:02Z",
      "bank_name": "Chase",
      "account_last4": "6789",
      "routing_last4": "0021"
    }
  ]
}

Error Responses

Format: { "error": { "code", "name", "message", "details" } }

StatusErrorWhen
404customer_not_foundWrong ID, or not in your scope.
403developer_scope_forbiddenFilter outside your scope.

Path Params
string
required
string
required
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json